summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 921d865)
raw | patch | inline | side by side (parent: 921d865)
author | Linus Torvalds <torvalds@ppc970.osdl.org> | |
Mon, 13 Jun 2005 22:09:34 +0000 (15:09 -0700) | ||
committer | Linus Torvalds <torvalds@ppc970.osdl.org> | |
Mon, 13 Jun 2005 22:09:34 +0000 (15:09 -0700) |
It's a simple helper that depending on the arguments will either
use git-diff-files, git-diff-cache or git-diff-tree.
use git-diff-files, git-diff-cache or git-diff-tree.
Makefile | patch | blob | history | |
git-diff-script | [new file with mode: 0755] | patch | blob |
diff --git a/Makefile b/Makefile
index 8216c99035c11936d449d8fa436353faf495d146..dd16385d1ab3c70db9ff48c2ea0b97b5eb590d00 100644 (file)
--- a/Makefile
+++ b/Makefile
SCRIPTS=git git-apply-patch-script git-merge-one-file-script git-prune-script \
git-pull-script git-tag-script git-resolve-script git-whatchanged \
git-deltafy-script git-fetch-script git-status-script git-commit-script \
- git-log-script git-shortlog git-cvsimport-script
+ git-log-script git-shortlog git-cvsimport-script git-diff-script
PROG= git-update-cache git-diff-files git-init-db git-write-tree \
git-read-tree git-commit-tree git-cat-file git-fsck-cache \
diff --git a/git-diff-script b/git-diff-script
--- /dev/null
+++ b/git-diff-script
@@ -0,0 +1,16 @@
+#!/bin/sh
+rev=($(git-rev-parse --revs-only "$@"))
+flags=($(git-rev-parse --no-revs "$@"))
+case "${#rev[*]}" in
+0)
+ git-diff-files -p "$@";;
+1)
+ git-diff-cache -p "$@";;
+2)
+ begin=$(echo "${rev[1]}" | tr -d '^')
+ end="${rev[0]}"
+ git-diff-tree -p $flags $begin $end;;
+*)
+ echo "I don't understand"
+ exit 1;;
+esac